<?php

namespace App\Modules\TourHtlCamp\Domain;

interface TourHtlCampRepository {

    public function index(IdTourHtlCamp $id);
    public function find(THCIdTour $idTour, string $action);
    public function insert(TourHtlCamp $value);
    public function update(TourHtlCamp $value);
    public function delete(IdTourHtlCamp $id);

}